globus_gram_protocol_job_signal(3)

NAME
globus_gram_protocol_job_signal - GRAM Signals

 - GRAM Signals.

SYNOPSIS

  Enumerations

enum globus_gram_protocol_job_signal_t { GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL =1, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND =2, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME =3, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY =4, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST =5, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND =6, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE =7, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE =8, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER =9, GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END =10 }

Detailed Description

GRAM Signals.

Enumeration Type Documentation

  enum globus_gram_protocol_job_signal_t
GRAM Signals

Enumerator

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_CANCEL
    Cancel a job

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_SUSPEND
    Suspend a job

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_RESUME
    Resume a previously suspended job

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_PRIORITY
    Change the priority of a job

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_REQUEST
    Signal the job manager to commence with a job submission if the job request was accompanied by the (two_state=yes) RSL attribute.

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_EXTEND
    Signal the job manager to wait an additional number of seconds (specified by an integer value string as the signal's argument) before timing out a two-phase job commit.

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_UPDATE
    Signal the job manager to change the way it is currently handling standard output and/or standard error. The argument for this signal is an RSL containing new stdout, stderr, stdout_position, stderr_position, or remote_io_url relations.

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STDIO_SIZE
    Signal the job manager to verify that streamed I/O has been completely received. The argument to this signal contains the number of bytes of stdout and stderr received, separated by a space. The reply to this signal will be a SUCCESS message if these matched the amount sent by the job manager. Otherwise, an error reply indicating GLOBUS_GRAM_PROTOCOL_ERROR_STDIO_SIZE is returned. If standard output and standard error are merged, only one number should be sent as an argument to this signal. An argument of -1 for either stream size indicates that the client is not interested in the size of that stream.

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_STOP_MANAGER
    Signal the job manager to stop managing the current job and terminate. The job continues to run as normal. The job manager will send a state change callback with the job status being FAILED and the error GLOBUS_GRAM_PROTOCOL_ERROR_JM_STOPPED.

GLOBUS_GRAM_PROTOCOL_JOB_SIGNAL_COMMIT_END
    Signal the job manager to clean up after the completion of the job if the job RSL contained the (two-phase = yes) relation.

Author

Generated automatically by Doxygen for globus_gram_protocol from the source code.